org.apache.felix.ipojo.online.manipulator

## Class SystemLogService

- java.lang.Object
- - org.apache.felix.ipojo.online.manipulator.SystemLogService

All Implemented Interfaces:
  org.osgi.service.log.LogService

    public class SystemLogService
    extends Object
    implements org.osgi.service.log.LogService

Default implementation based on System.out

### Field Summary

### Fields inherited from interface org.osgi.service.log.LogService

`LOG_DEBUG, LOG_ERROR, LOG_INFO, LOG_WARNING`

### Constructor Summary

Constructors
Constructor and Description
`SystemLogService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `log(int level, String message)`
`void` `log(int level, String message, Throwable throwable)`
`void` `log(org.osgi.framework.ServiceReference reference, int level, String message)`
`void` `log(org.osgi.framework.ServiceReference reference, int level, String message, Throwable throwable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemLogService

    public SystemLogService()

### Method Detail

#### log

    public void log(int level,
                    String message)

Specified by:
  `log` in interface `org.osgi.service.log.LogService`

#### log

    public void log(int level,
                    String message,
                    Throwable throwable)

Specified by:
  `log` in interface `org.osgi.service.log.LogService`

#### log

    public void log(org.osgi.framework.ServiceReference reference,
                    int level,
                    String message)

Specified by:
  `log` in interface `org.osgi.service.log.LogService`

#### log

    public void log(org.osgi.framework.ServiceReference reference,
                    int level,
                    String message,
                    Throwable throwable)

Specified by:
  `log` in interface `org.osgi.service.log.LogService`